Name:           contractor
Version:        0.3.5
Release:        %autorelease
Summary:        Desktop-wide extension service
License:        GPLv3+

URL:            https://github.com/elementary/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  meson
BuildRequires:  vala

BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(glib-2.0)

Requires:       dbus

%description
An extension service that allows apps to use the exposed functionality
of registered apps. This way, apps don't have to have the functions hard
coded into them.


%prep
%autosetup


%build
%meson
%meson_build


%install
%meson_install

# Create the the directory where other programs put their contracts
mkdir -p %{buildroot}/%{_datadir}/%{name}


%files
%doc README.md
%license COPYING

%{_bindir}/%{name}

%dir %{_datadir}/%{name}
%{_datadir}/dbus-1/services/org.elementary.contractor.service


%changelog
%autochangelog
